Bug 202553 - X dual head not configuring second monitor
X dual head not configuring second monitor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-14 22:42 EDT by G.Wolfe Woodbury
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 18:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf generated by s-c-d for dual head mode (some modelines added) (1.68 KB, text/plain)
2006-08-14 22:42 EDT, G.Wolfe Woodbury
no flags Details
X log showing failure of ATI configuration (57.79 KB, text/plain)
2006-08-14 22:43 EDT, G.Wolfe Woodbury
no flags Details
Xorg.0.log showing failure to configure ATI(Mach64) video (50.73 KB, text/plain)
2006-08-25 08:05 EDT, G.Wolfe Woodbury
no flags Details
xorg.conf from FC5+ that is failing (3.57 KB, text/plain)
2006-08-25 08:07 EDT, G.Wolfe Woodbury
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2006-08-14 22:42:12 EDT
Description of problem:
Attempting to configure dual head mode in rawhide of 2006-08-14 fails
due to non-configuration of device by s-c-d(?)


Version-Release number of selected component (if applicable):


How reproducible:
three different user attempts.


Steps to Reproduce:
1. install rawhide of 2006-08-14
2. configure dual head mode
3. reboot
  
Actual results:
see attached X logs

Expected results:
dual head operation.

Additional info:
Celeron (Coppermine) @ 600MHz  256MB RAM
video1: Trident Cyberblade/i1 - Compaq S710 monitor
video2: ATI (Mach 64) - Pionex monitor
VIA Chipsets, 160GB IDE disk, etc.
Comment 1 G.Wolfe Woodbury 2006-08-14 22:42:12 EDT
Created attachment 134180 [details]
xorg.conf generated by s-c-d for dual head mode (some modelines added)
Comment 2 G.Wolfe Woodbury 2006-08-14 22:43:37 EDT
Created attachment 134181 [details]
X log showing failure of ATI configuration
Comment 3 G.Wolfe Woodbury 2006-08-25 08:05:03 EDT
Created attachment 134909 [details]
Xorg.0.log showing failure to configure ATI(Mach64) video
Comment 4 G.Wolfe Woodbury 2006-08-25 08:07:17 EDT
Created attachment 134910 [details]
xorg.conf from FC5+  that is failing
Comment 5 G.Wolfe Woodbury 2006-08-25 08:11:29 EDT
This bug also applies to current FC5 X11 setups!

The ATI card fails to configure and start the second screen.  See attachments for
the xorg.conf and Xorg.0.log files from FC5.

This is a fully updated FC5 install on the testbed machine.
Comment 6 G.Wolfe Woodbury 2006-09-10 22:21:29 EDT
This is still extant in rawhide of 2006-09-10

There is NO reason that this should still be outstanding.  The X server is
failing to read and parse the configuration for the ATI card.
Comment 7 G.Wolfe Woodbury 2006-09-10 23:37:04 EDT
OK, I was able to generate a working dual-head configuration by entering run
state 3 and using X -configure to make a new xorg.conf file.

It seems to me that the critical difference is that Screen 1 is generated with a
"RightOf" instead of Screen 0 being given a "LeftOf" parameter.   I'll
experiment a little and see if that makes any difference.
Comment 8 Matěj Cepl 2007-09-13 13:04:05 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 9 Matěj Cepl 2007-10-16 18:33:01 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.